Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.spi
Class AbstractClientContext

    java.lang.Object
      org.jboss.portal.portlet.impl.spi.AbstractClientContext

All Implemented Interfaces:
  ClientContext

    public class AbstractClientContext

extends java.lang.Object
implements ClientContext

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`AbstractClientContext(javax.servlet.http.HttpServletRequest request)`
`AbstractClientContext(javax.servlet.http.HttpServletRequest request, java.util.List<javax.servlet.http.Cookie> additionalCookies)`

Method Summary
`java.util.List<javax.servlet.http.Cookie>` | `getCookies()`
`java.lang.String` | `getMethod()`
`org.jboss.portal.common.util.MultiValuedPropertyMap<java.lang.String>` | `getProperties()` Returns the properties as seen by the client.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractClientContext

    public AbstractClientContext(javax.servlet.http.HttpServletRequest request)

### AbstractClientContext

    public AbstractClientContext(javax.servlet.http.HttpServletRequest request,
                                 java.util.List<javax.servlet.http.Cookie> additionalCookies)

Method Detail

### getMethod

    public java.lang.String getMethod()

  Specified by:
    `getMethod` in interface `ClientContext`

### getProperties

    public org.jboss.portal.common.util.MultiValuedPropertyMap<java.lang.String> getProperties()

  Description copied from interface: `ClientContext`
  Returns the properties as seen by the client.

  Specified by:
    `getProperties` in interface `ClientContext`
  Returns:
    the properties

### getCookies

    public java.util.List<javax.servlet.http.Cookie> getCookies()

  Specified by:
    `getCookies` in interface `ClientContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.